Mailinglist Archive: opensuse (2063 mails)

< Previous Next >
Re: [opensuse] php5: dynamic extensions in php.ini?
  • From: "Cristian Rodriguez R." <judas_iscariote@xxxxxxxxxxxxx>
  • Date: Thu, 01 Feb 2007 14:58:42 -0300
  • Message-id: <45C22A52.3040103@xxxxxxxxxxxxx>
Daniel Bauer escribió:
> Hi :-)
>
> I finally upgraded from php4 to php5. When I compared my old php.ini to the
> new one, I saw that the "dynamic extension" are not listed anymore in the new
> one.
>
> Is it advisable to list the installed extensions there?
>
> Should I just add all modules that are listed in /usr/lib/php5/extensions ?
> Oh, and, I thought, these files were named like "mysql.so" but all files in
> that directory don't have any file name extension???

Should work, except the dl() function. ( you shoulnt be using it anyway,
even more, this function has been recently unregistred from all PHP SAPI
except CLI, so it wont be available to use it anymore even with
enable_dl=On in apache..)


>
> I am working on Suse 10.0.
> Apache, mysql, php... are only for local use.
>

if you want a current version of PHP (10.0 one is quite buggy) add this
to yast


http://ftp-1.gwdg.de/pub/opensuse/repositories/server:/php/SUSE_Linux_10.0/

and then upgrade all php5 packages, should work better.

< Previous Next >
References